package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.*;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class GctfeeStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private String umbflg;
    private Boolean adaflg = false;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
    }
}
